<f:layout name="Default" />
<f:section name="main">

	<div class="poll-list">

		<f:if condition="{settings.listHeadline}">
			<h2>{settings.listHeadline}</h2>
		</f:if>

		<f:flashMessages />

		<f:if condition="{f:count(subject: polls)} > 0">
			<f:then>

				<div class="row row-cols-1 row-cols-md-3">
					<f:for each="{polls}" as="poll" iteration="pollIterator">
						<div class="col mb-4">
							<div class="poll-item card">
								<f:if condition="{poll.image}">
									<f:image treatIdAsReference="1"
											 src="{poll.image.uid}"
											 title="{poll.image.properties.title}"
											 class="card-img-top"
											 alt="{poll.image.properties.alternative}" />
								</f:if>
								<div class="card-body">
									<f:if condition="{poll.title}">
										<h5 class="poll-title card-title">{poll.title}</h5>
									</f:if>
									<f:if condition="{poll.description}">
										<div class="poll-description card-text">
											<f:format.html>{poll.description}</f:format.html>
										</div>
									</f:if>
									<div class="poll-participate">
										<f:if condition="{settings.detail.defaultPid}">
											<f:then>
												<f:link.action action="show"
															   controller="Poll"
															   arguments="{poll: poll}"
															   pageUid="{settings.detail.defaultPid}"
															   class="btn btn-primary"><f:translate key="tx_poll_label.take_part"/></f:link.action>
											</f:then>
											<f:else>
												<div class="alert alert-danger">Please set a page uid for displaying the poll in TypoScript or Plugin</div>
											</f:else>
										</f:if>
										<f:if condition="{settings.result.defaultPid}">
											<f:then>
												<f:link.action action="result"
															   controller="Poll"
															   arguments="{poll: poll}"
															   pageUid="{settings.result.defaultPid}"
															   class="btn btn-primary"><f:translate key="tx_poll_label.result"/></f:link.action>
											</f:then>
											<f:else>
												<div class="alert alert-danger">Please set a page uid for displaying the poll result in TypoScript</div>
											</f:else>
										</f:if>
									</div>
								</div>
							</div>
						</div>
					</f:for>
				</div>

			</f:then>
			<f:else>
				<div class="row">
					<div class="alert alert-info"><f:translate key="tx_poll_message.error_no_polls_found" /></div>
				</div>
			</f:else>
		</f:if>

	</div>

</f:section>
